"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const expand_1 = __importDefault(require("./expand"));
const coords = { latitude: 59.33125, longitude: 18.11875 };
const code = '9FFW84J9+XG';
it('returns null for invalid codes', () => {
    expect(expand_1.default(undefined, coords)).toEqual(null);
    expect(expand_1.default(null, coords)).toEqual(null);
    expect(expand_1.default('xyz', coords)).toEqual(null);
});
it('returns null for invalid reference', () => {
    expect(expand_1.default(code, {})).toEqual(null);
});
it('returns the code for full codes', () => {
    expect(expand_1.default(code, coords)).toEqual(code);
});
it('expands the codes', () => {
    const refCoords = { latitude: 59.329394, longitude: 18.068712 };
    expect(expand_1.default('FW84J9+XG', refCoords)).toEqual(code);
    expect(expand_1.default('84J9+XG', refCoords)).toEqual(code);
    expect(expand_1.default('J9+XG', refCoords)).toEqual('9FFW83J9+XG'); // westward
});
//# sourceMappingURL=expand.spec.js.map