"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const expand_1 = __importDefault(require("./expand"));
const isValid = (subject) => typeof subject === 'string';
const shortenReducer = (fullCode, ref) => (code, length) => {
    const shortCode = fullCode.slice(10 - length);
    return expand_1.default(shortCode, ref) === fullCode ? shortCode : code;
};
const shorten = (code, ref) => {
    if (!isValid(code))
        return null;
    return [10, 8, 6, 4].reduce(shortenReducer(code, ref), null);
};
exports.default = shorten;
//# sourceMappingURL=shorten.js.map